%global debug_package %{nil}
Name:           python3-cjio
Version:        0.6.10
Release:        1%{?dist}
Summary:        manipulate CityJSON

BuildArch:      noarch
License:        MIT
URL:            https://pypi.org/project/cjio
Source:         cjio-0.6.10.tar.gz

BuildRequires:  python3-devel python3-wheel python3-setuptools
BuildRequires:  python3-click python3-jsonschema python3-fastjsonschema python3-jsonref

%description
CLI to process and manipulate CityJSON files

%prep
%autosetup -n cjio-0.6.10
sed -i 's^jsonschema_rs^jsonschema^' setup.py

%build
%{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%{python3_sitelib}/*
%{_bindir}/cjio

%doc README.rst
%license LICENSE

%changelog
* Tue Nov 09 2021 Bruno Postle <bruno@postle.net> 0.6.10-2
- initial package

